changeset 1447:dddb3b85a7a1

Save buildall-native.sh output in build/ not (build/native-static). Update comments a lot.
author Rob Landley <rob@landley.net>
date Sun, 18 Sep 2011 13:03:05 -0500
parents 6d6b25937be2
children bb26de4dfe47
files more/buildall-native.sh
diffstat 1 files changed, 11 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/more/buildall-native.sh	Sat Sep 17 00:01:20 2011 -0500
+++ b/more/buildall-native.sh	Sun Sep 18 13:03:05 2011 -0500
@@ -1,8 +1,13 @@
 #!/bin/bash
 
-# Natively build for every target architecture, saving log files to build/log.
+# Run a native build with a control image for every architecture,
+# using existing system-images under build, saving log files to build/log,
+# uploading output into build.
+
 # If $FORK is set, build them in parallel.
 
+# Kill any build that doesn't produce output for $TIMEOUT (default 60) seconds.
+
 . sources/utility_functions.sh || exit 1
 
 if [ ! -f "$1" ]
@@ -19,11 +24,12 @@
 FORK= more/for-each-target.sh \
   '. sources/toys/make-hdb.sh; HDBMEGS=2048; HDB=build/system-image-$TARGET/hdb.img; echo "$HDB"; rm -f "$HDB"; make_hdb'
 
-# Build static-tools (dropbear and strace) for each target
+# Put each control image's output in the build directory
 
-mkdir -p build/native-static || dienow
-more/for-each-target.sh \
-  'ln -sf ../native-static build/system-image-$TARGET/upload'
+mkdir -p build/logs || dienow
+more/for-each-target.sh 'ln -sf .. build/system-image-$TARGET/upload'
+
+# Run a control image for each target, using existing hdb.img
 
 [ -z "$TIMEOUT" ] && export TIMEOUT=60
 more/for-each-target.sh \